> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Agent Conversation



## OpenAPI

````yaml /api-reference/openapi.json post /agent/conversations
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /agent/conversations:
    post:
      tags:
        - Agent
      summary: Create Agent Conversation
      operationId: post_Agent_agent_conversations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentConversationCreateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentConversationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentConversationCreateRequest:
      properties:
        workspace_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workspace Id
          description: Workspace that scopes the conversation
        project_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Project Id
          description: Optional project that scopes the conversation
        share_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Share Id
          description: Optional share link that scopes the conversation
        conversation_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Conversation Id
          description: Existing conversation to resume
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Optional conversation title
      type: object
      title: AgentConversationCreateRequest
    AgentConversationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Conversation ID
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
          description: Workspace that scopes the conversation
        project_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Project Id
          description: Project that scopes the conversation
        share_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Share Id
          description: Share link that scopes the conversation
        user_id:
          type: string
          format: uuid
          title: User Id
          description: User that owns the conversation
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Conversation title
        status:
          $ref: '#/components/schemas/AgentConversationStatus'
          description: Conversation status
        has_active_run:
          type: boolean
          title: Has Active Run
          description: Whether the conversation has a non-terminal agent run
          default: false
        last_activity_at:
          type: string
          format: date-time
          title: Last Activity At
          description: Last timestamp for activity inside the conversation
        created:
          type: string
          format: date-time
          title: Created
          description: Creation timestamp
        updated:
          type: string
          format: date-time
          title: Updated
          description: Last update timestamp
      type: object
      required:
        - id
        - workspace_id
        - user_id
        - status
        - last_activity_at
        - created
        - updated
      title: AgentConversationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentConversationStatus:
      type: string
      enum:
        - active
        - archived
      title: AgentConversationStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````